#ifndef KSC_DEFENDER_TRUSTAPP_INTERFACE_H
#define KSC_DEFENDER_TRUSTAPP_INTERFACE_H

#include <ksc_defender_interface_def.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * 可信组件状态更新
 * 参数： uuid:  可信组件唯一标识，整个生命周期不能改变
 *       state: 可信组件状态信息
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_trustapp_status_upload(char *uuid, ksc_trustapp_status *status);

#ifdef __cplusplus
}
#endif

#endif // KSC_DEFENDER_TRUSTAPP_INTERFACE_H
